#include "shopoverview.h"
#include "ui_shopoverview.h"
#include "shop-odb.hxx"
#include "shopservice.h"

ShopOverview::ShopOverview(QWidget *parent) :
    QFrame(parent),
    ui(new Ui::ShopOverview)
{
    ui->setupUi(this);
}

ShopOverview::~ShopOverview()
{
    delete ui;
}

void ShopOverview::refresh()
{
    ShopService srv;

    VoucherSum unpaid = srv.unpaidSummary();
    VoucherSum unsend = srv.unsendEET();

    ui->labelUnapiedCount->setText(QString::number(unpaid.m_count));
    ui->labelUnpaiedAmount->setText(QString::number(unpaid.totalPrice().toDouble()));
    ui->labelUnsendEET->setText(QString::number(unsend.m_count));
}
